<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class towerwarspp.player.mcts.TreeSelectionStrategy (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class towerwarspp.player.mcts.TreeSelectionStrategy (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?towerwarspp/player/mcts/class-use/TreeSelectionStrategy.html" target="_top">Frames</a></li>
<li><a href="TreeSelectionStrategy.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class towerwarspp.player.mcts.TreeSelectionStrategy" class="title">Uses of Class<br>towerwarspp.player.mcts.TreeSelectionStrategy</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.player">towerwarspp.player</a></td>
<td class="colLast">
<div class="block">The player package which implements all possible player Types.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.player.mcts">towerwarspp.player.mcts</a></td>
<td class="colLast">
<div class="block">The mcts package which implements the monte carlo tree search algorithm.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.preset">towerwarspp.preset</a></td>
<td class="colLast">
<div class="block">The preset package which implements all given presets.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.player">
<!--   -->
</a>
<h3>Uses of <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a> in <a href="../../../../towerwarspp/player/package-summary.html">towerwarspp.player</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../towerwarspp/player/package-summary.html">towerwarspp.player</a> with parameters of type <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/Adv2Player.html#Adv2Player-long-int-towerwarspp.player.mcts.TreeSelectionStrategy-towerwarspp.player.PlayStrategy-boolean-double-">Adv2Player</a></span>(long&nbsp;timePerMove,
          int&nbsp;parallelizationFactor,
          <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a>&nbsp;selectionStrategy,
          <a href="../../../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player">PlayStrategy</a>&nbsp;playStrategy,
          boolean&nbsp;fairPlay,
          double&nbsp;bias)</code>
<div class="block">Creates a new Adv2Player object with the specified parameters.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player.mcts">
<!--   -->
</a>
<h3>Uses of <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a> in <a href="../../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> declared as <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Mcts.html#treeSelectionStrategy">treeSelectionStrategy</a></span></code>
<div class="block">The  <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts"><code>TreeSelectionStrategy</code></a> used  for this instance of the MCTS algorithm.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> that return <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Mcts.html#getTreeSelectionStrategy--">getTreeSelectionStrategy</a></span>()</code>
<div class="block">Return the current <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts"><code>TreeSelectionStrategy</code></a> employed by the algorithm when deciding on it's next move.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></code></td>
<td class="colLast"><span class="typeNameLabel">TreeSelectionStrategy.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">TreeSelectionStrategy.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> with parameters of type <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Mcts.html#setTreeSelectionStrategy-towerwarspp.player.mcts.TreeSelectionStrategy-">setTreeSelectionStrategy</a></span>(<a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a>&nbsp;treeSelectionStrategy)</code>
<div class="block">Sets the passed <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts"><code>TreeSelectionStrategy</code></a> to the passed one.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> with parameters of type <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Mcts.html#Mcts-long-int-towerwarspp.player.PlayStrategy-towerwarspp.player.mcts.TreeSelectionStrategy-boolean-double-">Mcts</a></span>(long&nbsp;timePerMove,
    int&nbsp;parallelizationFactor,
    <a href="../../../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player">PlayStrategy</a>&nbsp;playStrategy,
    <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a>&nbsp;treeSelectionStrategy,
    boolean&nbsp;fairPlay,
    double&nbsp;bias)</code>
<div class="block">Constructs a new Mcts object with the specified time per move, <a href="../../../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player"><code>PlayStrategy</code></a> and <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts"><code>TreeSelectionStrategy</code></a></div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.preset">
<!--   -->
</a>
<h3>Uses of <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a> in <a href="../../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> that return <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/preset/ArgumentParser.html#getTreeSelectionStrategy--">getTreeSelectionStrategy</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/preset/ArgumentParser.html#parseTreeSelectionStrategy-java.lang.String-">parseTreeSelectionStrategy</a></span>(java.lang.String&nbsp;strategy)</code>
<div class="block">Parse the <a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts"><code>TreeSelectionStrategy</code></a> entered by the user.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?towerwarspp/player/mcts/class-use/TreeSelectionStrategy.html" target="_top">Frames</a></li>
<li><a href="TreeSelectionStrategy.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
